org.springframework.cloud.dataflow.server.db.migration.mysql

## Class MysqlBeforeBaseline

- java.lang.Object
- - org.springframework.cloud.dataflow.common.flyway.AbstractCallback
  - - org.springframework.cloud.dataflow.server.db.migration.AbstractBaselineCallback
    - - org.springframework.cloud.dataflow.server.db.migration.mysql.MysqlBeforeBaseline

- All Implemented Interfaces:
    org.flywaydb.core.api.callback.Callback

      public class MysqlBeforeBaseline
      extends AbstractBaselineCallback

  Baselining schema setup for `postgres`.
  Author:
    Janne Valkealahti

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CREATE_APP_REGISTRATION_TMP_TABLE`
    `static String` | `CREATE_AUDIT_RECORDS_AUDIT_ACTION_IDX_INDEX`
    `static String` | `CREATE_AUDIT_RECORDS_AUDIT_OPERATION_IDX_INDEX`
    `static String` | `CREATE_AUDIT_RECORDS_CORRELATION_ID_IDX_INDEX`
    `static String` | `CREATE_AUDIT_RECORDS_CREATED_ON_IDX_INDEX`
    `static String` | `CREATE_AUDIT_RECORDS_TMP_TABLE`
    `static String` | `CREATE_STREAM_DEFINITIONS_TMP_TABLE`
    `static String` | `CREATE_TASK_DEFINITIONS_TMP_TABLE`
    `static String` | `DROP_APP_REGISTRATION_TABLE`
    `static String` | `DROP_AUDIT_RECORDS_AUDIT_ACTION_IDX_INDEX`
    `static String` | `DROP_AUDIT_RECORDS_AUDIT_OPERATION_IDX_INDEX`
    `static String` | `DROP_AUDIT_RECORDS_CORRELATION_ID_IDX_INDEX`
    `static String` | `DROP_AUDIT_RECORDS_CREATED_ON_IDX_INDEX`
    `static String` | `DROP_AUDIT_RECORDS_TABLE`
    `static String` | `DROP_STREAM_DEFINITIONS_TABLE`
    `static String` | `DROP_TASK_DEFINITIONS_TABLE`
    `static String` | `INSERT_APP_REGISTRATION_DATA`
    `static String` | `INSERT_AUDIT_RECORDS_DATA`
    `static String` | `INSERT_STREAM_DEFINITIONS_DATA`
    `static String` | `INSERT_TASK_DEFINITIONS_DATA`
    `static String` | `RENAME_APP_REGISTRATION_TMP_TABLE`
    `static String` | `RENAME_AUDIT_RECORDS_TMP_TABLE`
    `static String` | `RENAME_STREAM_DEFINITIONS_TMP_TABLE`
    `static String` | `RENAME_TASK_DEFINITIONS_TMP_TABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MysqlBeforeBaseline()` Instantiates a new postgres before baseline.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeAppRegistrationTable()` Change app registration table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeAuditRecordsTable()` Change audit records table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeStreamDefinitionsTable()` Change stream definitions table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeTaskDefinitionsTable()` Change task definitions table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeUriRegistryTable()` Change uri registry table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createIndexes()` Creates the indexes.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskDeploymentTable()` Create the task deployment table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskLockTable()` Creates the task lock table.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `dropIndexes()` Drop indexes.

    - ### Methods inherited from class org.springframework.cloud.dataflow.server.db.migration.AbstractBaselineCallback

      `doTableExists, getCommands`

    - ### Methods inherited from class org.springframework.cloud.dataflow.common.flyway.AbstractCallback

      `canHandleInTransaction, getCallbackName, handle, supports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DROP_AUDIT_RECORDS_AUDIT_ACTION_IDX_INDEX

          public static final String DROP_AUDIT_RECORDS_AUDIT_ACTION_IDX_INDEX

      See Also:
        Constant Field Values

    - #### DROP_AUDIT_RECORDS_AUDIT_OPERATION_IDX_INDEX

          public static final String DROP_AUDIT_RECORDS_AUDIT_OPERATION_IDX_INDEX

      See Also:
        Constant Field Values

    - #### DROP_AUDIT_RECORDS_CORRELATION_ID_IDX_INDEX

          public static final String DROP_AUDIT_RECORDS_CORRELATION_ID_IDX_INDEX

      See Also:
        Constant Field Values

    - #### DROP_AUDIT_RECORDS_CREATED_ON_IDX_INDEX

          public static final String DROP_AUDIT_RECORDS_CREATED_ON_IDX_INDEX

      See Also:
        Constant Field Values

    - #### CREATE_APP_REGISTRATION_TMP_TABLE

          public static final String CREATE_APP_REGISTRATION_TMP_TABLE

    - #### INSERT_APP_REGISTRATION_DATA

          public static final String INSERT_APP_REGISTRATION_DATA

      See Also:
        Constant Field Values

    - #### DROP_APP_REGISTRATION_TABLE

          public static final String DROP_APP_REGISTRATION_TABLE

      See Also:
        Constant Field Values

    - #### RENAME_APP_REGISTRATION_TMP_TABLE

          public static final String RENAME_APP_REGISTRATION_TMP_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_STREAM_DEFINITIONS_TMP_TABLE

          public static final String CREATE_STREAM_DEFINITIONS_TMP_TABLE

    - #### INSERT_STREAM_DEFINITIONS_DATA

          public static final String INSERT_STREAM_DEFINITIONS_DATA

      See Also:
        Constant Field Values

    - #### DROP_STREAM_DEFINITIONS_TABLE

          public static final String DROP_STREAM_DEFINITIONS_TABLE

      See Also:
        Constant Field Values

    - #### RENAME_STREAM_DEFINITIONS_TMP_TABLE

          public static final String RENAME_STREAM_DEFINITIONS_TMP_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_TASK_DEFINITIONS_TMP_TABLE

          public static final String CREATE_TASK_DEFINITIONS_TMP_TABLE

    - #### INSERT_TASK_DEFINITIONS_DATA

          public static final String INSERT_TASK_DEFINITIONS_DATA

      See Also:
        Constant Field Values

    - #### DROP_TASK_DEFINITIONS_TABLE

          public static final String DROP_TASK_DEFINITIONS_TABLE

      See Also:
        Constant Field Values

    - #### RENAME_TASK_DEFINITIONS_TMP_TABLE

          public static final String RENAME_TASK_DEFINITIONS_TMP_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_AUDIT_RECORDS_TMP_TABLE

          public static final String CREATE_AUDIT_RECORDS_TMP_TABLE

    - #### INSERT_AUDIT_RECORDS_DATA

          public static final String INSERT_AUDIT_RECORDS_DATA

      See Also:
        Constant Field Values

    - #### DROP_AUDIT_RECORDS_TABLE

          public static final String DROP_AUDIT_RECORDS_TABLE

      See Also:
        Constant Field Values

    - #### RENAME_AUDIT_RECORDS_TMP_TABLE

          public static final String RENAME_AUDIT_RECORDS_TMP_TABLE

      See Also:
        Constant Field Values

    - #### CREATE_AUDIT_RECORDS_AUDIT_ACTION_IDX_INDEX

          public static final String CREATE_AUDIT_RECORDS_AUDIT_ACTION_IDX_INDEX

      See Also:
        Constant Field Values

    - #### CREATE_AUDIT_RECORDS_AUDIT_OPERATION_IDX_INDEX

          public static final String CREATE_AUDIT_RECORDS_AUDIT_OPERATION_IDX_INDEX

      See Also:
        Constant Field Values

    - #### CREATE_AUDIT_RECORDS_CORRELATION_ID_IDX_INDEX

          public static final String CREATE_AUDIT_RECORDS_CORRELATION_ID_IDX_INDEX

      See Also:
        Constant Field Values

    - #### CREATE_AUDIT_RECORDS_CREATED_ON_IDX_INDEX

          public static final String CREATE_AUDIT_RECORDS_CREATED_ON_IDX_INDEX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MysqlBeforeBaseline

          public MysqlBeforeBaseline()

      Instantiates a new postgres before baseline.

  - ### Method Detail

    - #### dropIndexes

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> dropIndexes()

      Description copied from class: `AbstractBaselineCallback`
      Drop indexes.
      Specified by:
        `dropIndexes` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### changeAppRegistrationTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeAppRegistrationTable()

      Description copied from class: `AbstractBaselineCallback`
      Change app registration table.
      Specified by:
        `changeAppRegistrationTable` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### changeUriRegistryTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeUriRegistryTable()

      Description copied from class: `AbstractBaselineCallback`
      Change uri registry table.
      Specified by:
        `changeUriRegistryTable` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### changeStreamDefinitionsTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeStreamDefinitionsTable()

      Description copied from class: `AbstractBaselineCallback`
      Change stream definitions table.
      Specified by:
        `changeStreamDefinitionsTable` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### changeTaskDefinitionsTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeTaskDefinitionsTable()

      Description copied from class: `AbstractBaselineCallback`
      Change task definitions table.
      Specified by:
        `changeTaskDefinitionsTable` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### changeAuditRecordsTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeAuditRecordsTable()

      Description copied from class: `AbstractBaselineCallback`
      Change audit records table.
      Specified by:
        `changeAuditRecordsTable` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### createIndexes

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createIndexes()

      Description copied from class: `AbstractBaselineCallback`
      Creates the indexes.
      Specified by:
        `createIndexes` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### createTaskLockTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskLockTable()

      Description copied from class: `AbstractBaselineCallback`
      Creates the task lock table.
      Specified by:
        `createTaskLockTable` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

    - #### createTaskDeploymentTable

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskDeploymentTable()

      Description copied from class: `AbstractBaselineCallback`
      Create the task deployment table.
      Specified by:
        `createTaskDeploymentTable` in class `AbstractBaselineCallback`
      Returns:
        the list of sql commands

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.